> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата



## OpenAPI

````yaml openapi/ru/flux.json GET /bfl/v1/fetch
openapi: 3.1.0
info:
  title: Документация Flux API
  version: 1.0.0
  description: >-
    Сервис TTAPI Flux API, в настоящее время интегрирующий самую совершенную
    большую видеомодель Sora2.
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /bfl/v1/fetch:
    get:
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FetchRequest'
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - 'PENDING_QUEUE '
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                  message:
                    type: string
                    description: Сообщение ответа
                  jobId:
                    type: string
                    description: ID задач
                  data:
                    type: object
                    description: Результат задачи
                    properties:
                      jobId:
                        type: string
                        description: ID задач
                      prompt:
                        type: string
                        description: Промпт
                      mode:
                        type: string
                      draft:
                        type: boolean
                      draftCache:
                        type: string
                      quota:
                        type: string
                        description: Израсходованная quota
                      videoUrl:
                        type: string
                        description: >-
                          URL сгенерированного видео. Срок действия: см.
                          [Хранение и устойчивость](/grids/ru/faq/storage)
                      hookUrl:
                        type: string
                        description: URL обратного вызова
                example:
                  status: SUCCESS
                  message: ''
                  jobId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx
                  data:
                    jobId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx
                    prompt: ...
                    quota: '16.80'
                    videoUrl: https://cdn.ttapi.io/flux/20260808/xxx.mp4
                    hookUrl: null
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    FetchRequest:
      type: object
      properties:
        jobId:
          type: string
          description: jobId, синхронно возвращенный интерфейсом генерации изображения
      required:
        - jobId
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````